{-
File: MyMath.hs

Author: Ken Lambert

Purpose: provides some simple math functions

-}

module MyMath where

-- Function to square an integer

square :: Integer -> Integer
square n = n * n

-- Function to cube an integer

cube :: Integer -> Integer
cube n = n * square n

-- Function to compute the factorial of an integer

factorial :: Integer -> Integer
factorial n = tailFactorial n 1 
    where
        tailFactorial :: Integer -> Integer ->  Integer
        tailFactorial 0 result = result
        tailFactorial n result = tailFactorial (n - 1) (n * result)
