{-
File: TaxCode.hs
-}
    
module Main (main) where

import TerminalIO (getInt, getFloat)

main :: IO ()
main = do
    income <- getFloat "Enter your income: "
    exemptionAmount <- getFloat "Enter the exemption amount: "
    exemptions <- getFloat "Enter the number of exemptions: "
    taxRate <- getInt "Enter your tax rate as a percent: "
    let tax = income * fromIntegral taxRate / 100.0 - 
              exemptionAmount * exemptions
    putStrLn ("Your tax is " ++ show tax)